{% extends "index.html" %} {% load static %} {% block content %}

<div class="h-screen w-full bg-main/5 flex items-center justify-center px-5">
  <form
    method="POST"
    class="bg-gradient-to-br from-white to-main-white w-96 max-w-full px-5 py-7 rounded-lg shadow-lg animate-appear-top"
  >
    {% csrf_token %}
    <div class="grid place-content-center pb-5">
      <a
        href="{% url "apps.base:index" %}"
        title="{{_("Main page")}}"
        class="flex items-center gap-3 text-xl md:text-base lg:text-xl font-medium transition-colors hover:text-main-darken"
      >
        <img
          class="w-[5.5rem] h-[5.5rem] object-cover drop-shadow-lg"
          src="{% static 'media/images/islamic_logo.webp' %}"
          alt="Main page"
          height="88"
          width="88"
        />
      </a>
    </div>
    <div class="pb-5">
      <label for="username" class="text-sm px-1.5 block pb-2">{{_("Username")}}:</label>
      <input
        class="w-full bg-white rounded shadow-md px-3 py-1.5 border"
        autocomplete="username"
        autocapitalize="none"
        name="username"
        maxlength="150"
        id="username"
        type="text"
        autofocus
        required
      />
    </div>
    <div class="pb-5">
      <label for="password" class="text-sm px-1.5 block pb-2">{{_("Password")}}:</label>
      <input
        class="w-full bg-white rounded shadow-md px-3 py-1.5 border"
        autocomplete="current-password"
        name="password"
        type="password"
        id="password"
        required
      />
    </div>
    <div class="grid py-5">
      <button
        class="inline-flex items-center justify-center text-white font-medium px-5 rounded shadow-md transition h-10 hover:bg-main-dark bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl"
        type="submit"
      >
        {{_("Login")}}
      </button>
    </div>
    <p class="text-sm px-2 py-1 max-w-full">
      {% if LANG == 'en' %}
      <span
        >Don't have an account?
        <a class="underline" href="{% url "apps.member:index" %}">Become a member</a>
        before getting an account.
      </span>
      {% elif LANG == 'ru' %}
      <span
        >У вас нет учетной записи?
        <a class="underline" href="{% url "apps.member:index" %}">Станьте участником</a>,
        прежде чем получить учетную запись.
      </span>
      {% elif LANG == 'uz' %}
      <span
        >Hisobingiz yo'qmi? Hisobga ega bo'lishdan oldin
        <a class="underline" href="{% url "apps.member:index" %}">a'zo bo'ling</a>.
      </span>
      {% endif %}
    </p>
  </form>
</div>

{% endblock content %}
